<script type="text/javascript">
	$(document).ready(function(){
		
	cari_itf();
	$("#mulai").focus();
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_utang").val(data.noutdg);
				$("#txt_labapb").val(data.labapb);
				$("#txt_labrug").val(data.labrug);
			}
		});
	}

	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$("#txt_total").val('');
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType	: "json",
			success	: function(data){				
				$("#txt_kode").val(data.nomor);				
				$('#data_detail').show();
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();

		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/pener_kas/tampil_data_detail.php?kode="+kode);
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
		
	$('#form_cari_bkm').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_bkm').click(function(){
		$('#form_cari_bkm').dialog('open');
		
		var no=1;
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/tampil_nobkm.php",
			data	: "no="+no,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_km").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_km").html(data);				
			}
		});
	});
			
	$('#form_cari_kas').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#txt_namakas').keyup(function(){		
		$('#form_cari_kas').dialog('open');
		$("#info_kas").load('modul/pener_kas/tampil_data_kas.php');
		$("#txt_carikas").focus();		
	});
	
	$("#txt_carikas").keyup(function(){
		var cari= $("#txt_carikas").val();
		
		var no=1;
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/tampil_data_kas.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_kas").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_kas").html(data);				
			}
		});
	});
	
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$('#txt_naakun').keyup(function(){		
		$('#form_cari_akun').dialog('open');
		$("#info_bb").load('modul/pener_kas/tampil_data_akun.php');
		$("#txt_caribb").focus();		
	});
	
	$("#txt_caribb").keyup(function(){
		var cari	= $("#txt_caribb").val();
				
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){
				$("#info_bb").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_bb").show();
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#txt_namabp").keyup(function(){
		var adabp = $("#txt_adabp").val();
		var nobb = $("#txt_noakun").val();
		var piut = $("#txt_piut").val();
		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
			return (false);
		}else{
			$('#form_cari_bp').dialog('open');
			$("#info_bp").load('modul/pener_kas/tampil_data_bp.php?nobb='+nobb+'&piut='+piut);
			$("#txt_caribp").focus();
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
			
	function simpan_data(){
		var	kode		= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	nokas   = $("#txt_nokas").val();		
		var	nakas  	= $("#txt_namakas").val();
		var	pemby 	= $("#txt_pemby").val();
		var	nourut	= $("#txt_nourut").val();
		var	noakun	= $("#txt_noakun").val();
		var	nobp  	= $("#txt_nobp").val();
		var	nopol 	= $("#txt_nopol").val();
		var	naakun  = $("#txt_naakun").val();
		var	namabp  = $("#txt_namabp").val();
		var	ket    	= $("#txt_ket").val();
		var	jumlah	= $("#txt_jumlah").val();
		
		var error = false;
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal BKM tidak boleh kosong.");
		   return (false);
        }
		
		if(nokas.length == 0){
			var error = true;
			alert("Maaf, Nomor akun kas masih kosong");
			$("#txt_nokas").focus();
			return (false);
        }
		
		if(noakun.length == 0){
           var error = true;
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
		
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				var error = true;
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(nopol.length == 0){
			var piut = $("#txt_piut").val();
			
			if(noakun==piut){
				var error = true;
				alert("Maaf, Untuk akun piutang dagang, Nomor faktur tidak boleh kosong.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(ket.length == 0){
           var error = true;
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
         }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url	    : "modul/pener_kas/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nokas="+nokas+
					"&nakas="+nakas+
					"&pemby="+pemby+
					"&nourut="+nourut+
					"&noakun="+noakun+
					"&nobp="+nobp+
					"&naakun="+naakun+
					"&namabp="+namabp+
					"&nopol="+nopol+
					"&ket="+ket+					
					"&jumlah="+jumlah,			
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_caribb").val('');
				$("#txt_caribp").val('');
				$("#txt_naakun").focus();
				cek_nourut();
				tampil_data_detail();				
			}
		});
		}
	}
	
	function tampil_data_detail(){		
		var kode = $("#txt_kode").val();
		
		$("#data_detail").load("modul/pener_kas/tampil_data_detail.php?kode="+kode);		
		cari_total();
	}
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/cari_total.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_total").val(data.total);
				terbilang();
			}
		});
	}
	
	function terbilang(){
		var total = $("#txt_total").val();
		
		if(total.length==1)
			konversi1();
		else if(total.length==2)
			konversi2();
		else if(total.length==3)
			konversi3();
		else if(total.length==4)
			konversi4();
		else if(total.length==5)
			konversi5();
		else if(total.length==6)
			konversi6();
		else if(total.length==7)
			konversi7();
		else if(total.length==8)
			konversi8();
		else if(total.length==9)
			konversi9();
	}
	
	function konversi1(){
		var	total= $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi1.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi2(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi2.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);
			}
		});
	}
	
	function konversi3(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi3.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#txt_terbilang").val(data.terbilang);				
			}
		});		
	}
	
	function konversi4(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi4.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi5(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi5.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi6(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi6.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){
				$("#txt_terbilang").val(data.terbilang);
			}
		});		
	}
	
	function konversi7(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi7.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi8(){
		var	total = $("#txt_total").val();
				
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi8.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi9(){
		var	total = $("#txt_total").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi9.php",
			data	: "total="+total,
			dataType: "json",
			success	: function(data){				
				$("#txt_terbilang").val(data.terbilang);				
			}
		});		
	}
	
	$("#cetak_bkm").click(function(){
		var	kode		= $("#txt_kode").val();
		var	tgl			= $("#txt_tanggal").val();		
		var	pemby	= $("#txt_pemby").val();
		var	total		= $("#txt_total").val();
		var	tbl			= $("#txt_terbilang").val();
		
		if(total.length == 0){
			var error = true;
			alert("Maaf, data penerimaan kas belum direkam.");			
			return (false);
        }		
		window.location.href='modul/laporan/bukti_km.php?kode='+kode+'&tgl='+tgl+'&pemby='+pemby+'&total='+total+'&tbl='+tbl;
	});
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include '../../inc/inc.koneksi.php';

echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_piut' id='txt_piut' size='4' hidden />
		<input type='text' name='txt_utang' id='txt_utang' size='4' hidden />
		<input type='text' name='txt_labapb' id='txt_labapb' size='4' hidden />
		<input type='text' name='txt_jual' id='txt_jual' size='4' hidden />
		<input type='text' name='txt_labrug' id='txt_labrug' size='4' hidden />
		
		<td width='6%'>No. BKM</td>
		<td>: <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari BKM' id='cari_bkm'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>		
		<td>Akun Kas :<input type='text' name='txt_namakas' id='txt_namakas' size='18' class='input_header'>
			<input type='text' name='txt_nokas' id='txt_nokas' size='4' class='input_header' readonly />
		</td>
		<td>Pembayar : <input type='text' name='txt_pemby' id='txt_pemby' size='20' class='input_header' ></td>
	</tr>
	</table>
	
	<table width='100%'>
	<tr>
		<td width='6%'>Terbilang</td>
		<td>: <input type='text' name='txt_terbilang' id='txt_terbilang' size='50' class='input_header' readonly /></td>
	</tr>
	</table>
	<hr>";

echo "<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Nama BP</th>
			<th>Kode BP</th>			
			<th>No.Polisi</th>
			<th>Jumlah</th>
			<th>Keterangan</th>
		</tr>		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' hidden />
			<input type='text' name='txt_adabp' id='txt_adabp' hidden />
			<input type='text' name='txt_piut' id='txt_piut' hidden />
			<input type='text' name='txt_total' id='txt_total' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input_detail' size='20' ></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input_detail' size='5' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input_detail' size='20' ></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input_detail' size='8' maxlength='6' readonly/> </td>
			<td><select id='txt_nopol' class='input_header'>
				<option value=''> - </option>";
				$sql = mysql_query("SELECT * FROM truk ORDER BY nopol");
				while($r=mysql_fetch_array($sql)){
					$nopol = $r[nopol];
					echo "<option value='$nopol'>$nopol - $r[nama_kd]</option>";
				}
				echo "</select>
			</td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='8' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='50' ></td>
		</tr>
	</table>
		
	<table width='100%'>
		<tr>
			<td align='center'>
				<button name='simpan' id='simpan'>Rekam</button>
				<button name='mulai' id='mulai'>Input BKM</button>
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>";

echo "<div id='form_cari_bkm' title='Pencarian Bukti Kas Masuk'>
		<div id='info_km' align='center'></div>
	</div>";
	
echo "<div id='form_cari_kas' title='Pencarian Akun Kas'>
		<table width='100%'>
			<tr>
				<td>Cari Akun Kas : <input type='text' name='txt_carikas' id='txt_carikas' size='40'></td>
			</tr>
		</table>
		<div id='info_kas' align='center'></div>
	</div>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td>Cari Buku Besar : <input type='text' name='txt_caribb' id='txt_caribb' size='40'></td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td>Cari Buku Pembantu : <input type='text' name='txt_caribp' id='txt_caribp' size='40'></td>
			</td>
		</table>		
		<div id='info_bp' align='center'></div>
	</div>";
?>
